Package de.gebit.integrity.dsl

## Interface ValueOrEnumValueOrOperation

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`
  All Known Subinterfaces:
    `BooleanValue`, `CustomOperation`, `DateAndTimeValue`, `DateValue`, `DecimalValue`, `Empty`, `EmptyValue`, `EnumValue`, `EuropeanDateAnd12HrsTimeValue`, `EuropeanDateAnd24HrsTimeValue`, `EuropeanDateValue`, `Inexistent`, `InexistentValue`, `IntegerValue`, `IsoDateAndTimeValue`, `IsoDateValue`, `IsoTimeValue`, `JavaConstantValue`, `NestedObject`, `Null`, `NullValue`, `Operation`, `RegexValue`, `Simple12HrsTimeValue`, `Simple24HrsTimeValue`, `StandardOperation`, `StaticValue`, `StringValue`, `TimeValue`, `TypedNestedObject`, `USDateAnd12HrsTimeValue`, `USDateValue`, `Value`, `Variable`
  All Known Implementing Classes:
    `BooleanValueImpl`, `CustomOperationImpl`, `DateAndTimeValueImpl`, `DateValueImpl`, `DecimalValueImpl`, `EmptyImpl`, `EmptyValueImpl`, `EnumValueImpl`, `EuropeanDateAnd12HrsTimeValueImpl`, `EuropeanDateAnd24HrsTimeValueImpl`, `EuropeanDateValueImpl`, `InexistentImpl`, `InexistentValueImpl`, `IntegerValueImpl`, `IsoDateAndTimeValueImpl`, `IsoDateValueImpl`, `IsoTimeValueImpl`, `JavaConstantValueImpl`, `NestedObjectImpl`, `NullImpl`, `NullValueImpl`, `OperationImpl`, `RegexValueImpl`, `Simple12HrsTimeValueImpl`, `Simple24HrsTimeValueImpl`, `StandardOperationImpl`, `StaticValueImpl`, `StringValueImpl`, `TimeValueImpl`, `TypedNestedObjectImpl`, `USDateAnd12HrsTimeValueImpl`, `USDateValueImpl`, `ValueImpl`, `ValueOrEnumValueOrOperationImpl`, `VariableImpl`

      public interface ValueOrEnumValueOrOperation
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Value Or Enum Value Or Operation'.
  See Also:
    `DslPackage.getValueOrEnumValueOrOperation()`

- - ### Method Summary

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`